Skip to content

KycLinkDetail

idstringread-only

The unique identifier for the KYC link.

Example:"kyc_69b3f97eSThQY"
statusstringread-only

The current status of the KYC link.

  • initiated — the link has been created and the customer has not started.
  • in_progress — the customer has started the verification.
  • submitted — the customer has finished and the verification result is pending.
  • action_required — more information is needed from the customer.
  • under_review — the information provided is being reviewed.
  • completed — the customer has been verified. Terminal.
  • failed — the verification could not be completed. Terminal.
  • expired — the link expired before the customer finished. Terminal.
  • rejected — the verification was rejected on review. Terminal.
Enum:"initiated""in_progress""submitted""action_required""under_review""completed""failed""expired""rejected"
Example:"completed"
expires_atstring, (date-time)read-only

When the KYC link expires, as an ISO 8601 date-time in UTC.

Example:"2026-06-11T11:48:14.361Z"
created_atstring, (date-time)read-only

When the KYC link was created, as an ISO 8601 date-time in UTC.

Example:"2026-03-13T11:48:14.363Z"
customer_idstring or nullread-only

The unique identifier of the customer associated with this KYC link. null if the KYC link was created with an email address only (no existing customer).

Example:"cust_abc123XYZ"
trackerArray of objectsread-only

A chronological list of status events for the KYC verification process.

documentsArray of objects(KycDocument)read-only

The list of KYC documents associated with this KYC link. Each document has a document_id field that can be used with GET /api/v1/document/{document_id} to retrieve full document details (e.g. preview URL, file name) once the document has been captured.

{ "id": "kyc_69b3f97eSThQY", "status": "completed", "link_url": "https://app.glomopay.com/kyc-links/kyc_69b3f97eSThQY", "expires_at": "2026-06-11T11:48:14.361Z", "created_at": "2026-03-13T11:48:14.363Z", "customer_id": "cust_abc123XYZ", "tracker": [ { … } ], "documents": [ { … } ] }